/**
 * TreeMap constants doc
 */

/**
 * Triggers when the treemap is on load.
 *
 * @private
 */
export const load: string = 'load';
/**
 * Triggers after treemap rendered.
 *
 * @private
 */
export const loaded: string = 'loaded';
/**
 * Trigger before call the print method.
 *
 * @private
 */
export const beforePrint: string = 'beforePrint';
/**
 * Trigger before each treemap item rendered.
 *
 * @private
 */
export const itemRendering: string = 'itemRendering';
/**
 * Trigger after click on treemap item.
 *
 * @private
 */
export const drillStart: string = 'drillStart';
/**
 * Trigger after drill start event completed.
 *
 * @private
 */
export const drillEnd: string = 'drillEnd';
/**
 * Trigger after select the treemap item.
 *
 * @private
 */
export const itemSelected: string = 'itemSelected';
/**
 * Trigger after hover on the treemap item.
 *
 * @private
 */
export const itemHighlight: string = 'itemHighlight';
/**
 * Trigger after mouse hover on the treemap item.
 *
 * @private
 */
export const tooltipRendering: string = 'tooltipRendering';
/**
 * Trigger after click on the treemap item.
 *
 * @private
 */
export const itemClick: string = 'itemClick';
/**
 * Trigger after mouse hover on the treemap item.
 *
 * @private
 */
export const itemMove: string = 'itemMove';
/**
 * Trigger after click on the treemap item.
 *
 * @private
 */
export const click: string = 'click';
/**
 * Trigger after double click on the treemap item.
 *
 * @private
 */
export const doubleClick: string = 'doubleClick';
/**
 * Trigger after right click on the treemap item.
 *
 * @private
 */
export const rightClick: string = 'rightClick';
/**
 * Trigger after mouse hover on the treemap item.
 *
 * @private
 */
export const mouseMove: string = 'mouseMove';
/**
 * Trigger before each treemap item.
 *
 * @private
 */
export const legendItemRendering: string = 'legendItemRendering';
/**
 * Trigger before legend items.
 *
 * @private
 */
export const legendRendering: string = 'legendRendering';
/**
 * Trigger after resize the treemap.
 *
 * @private
 */
export const resize: string = 'resize';
/**
 * Define the font family in treemap component.
 *
 * @private
 */
export const defaultFont: string = 'Roboto, Segoe UI, Noto, Sans-serif';
